Subject: s/key into 2.4.2-beta5

From: [email-masked]
Date: Wed, 13 Sep 1995 15:24:33 -0400 (EDT)

Im trying to compile wu-ftpd-2.4.2-beta-5 with S/KEY authentication 
into it.
	The compile works without errors except for some unresolved S/KEY 
issues.
	Can anyone offer any suggestions??  S/KEY worked well and had no 
problems compiling

  -=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=-
  |   Miles D. Oliver - POSTMASTER    |   Network/Systems Administrator     |
  |   National Public Radio           |   W.      +1-202-414-2989           |
  |   635 Massachusetts Ave NW        |   FAX:    +1-202-414-3051           |
  |   Washington DC. 20001            |   Internet: [email-masked]         |
  |                                   |   http://www.npr.org/               |
  -=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=-
  | TECH:  Now is this a DOS or Windows product we are helping you with.... |
  | USER:       Gee.. I dont know.. Let me look at the box....              |
  -=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=-

majorca 730# [/export/apps/wu-ftpd/wu-ftpd-2.4.2-beta-5]: ./build sgi
make args are : 
make opts are : 

Linking Makefiles.

Making support library.
        cc -O -DDEBUG   -c getusershell.c
        cc -O -DDEBUG   -c fnmatch.c
        cc -O -DDEBUG   -c strcasestr.c
        cc -O -DDEBUG   -c strsep.c
        cc -O -DDEBUG   -c authuser.c
        rm -f libsupport.a
        ar cq libsupport.a getusershell.o fnmatch.o strcasestr.o strsep.o 
authuo
        touch libsupport.a

Making ftpd.
        cc -cckr -O -DDEBUG -I.. -I../support -L../support -c ftpd.c
        yacc  ftpcmd.y
        mv -f y.tab.c ftpcmd.c
        cc -cckr -O -DDEBUG -I.. -I../support -L../support -c ftpcmd.c
        cc -cckr -O -DDEBUG -I.. -I../support -L../support -c glob.c
        cc -cckr -O -DDEBUG -I.. -I../support -L../support -c logwtmp.c
        cc -cckr -O -DDEBUG -I.. -I../support -L../support -c popen.c
        sh newvers.sh
        cc -cckr -O -DDEBUG -I.. -I../support -L../support -c vers.c
        cc -cckr -O -DDEBUG -I.. -I../support -L../support -c access.c
        cc -cckr -O -DDEBUG -I.. -I../support -L../support -c extensions.c
        cc -cckr -O -DDEBUG -I.. -I../support -L../support -c realpath.c
        cc -cckr -O -DDEBUG -I.. -I../support -L../support -c acl.c
        cc -cckr -O -DDEBUG -I.. -I../support -L../support -c private.c
        cc -cckr -O -DDEBUG -I.. -I../support -L../support -c authenticate.c
        cc -cckr -O -DDEBUG -I.. -I../support -L../support -c conversions.c
        cc -cckr -O -DDEBUG -I.. -I../support -L../support -c hostacc.c
        cc -cckr -O -DDEBUG -I.. -I../support -L../support -o ftpd ftpd.o 
ftpcmt
ld:
Unresolved:
skeychallenge
skeyverify
*** Error code 1 (bu21)

Making ftpcount.
        cc -cckr -O -DDEBUG -I.. -I../support -L../support -o ftpcount 
ftpcountt

Making ftpshut.
        cc -cckr -O -DDEBUG -I.. -I../support -L../support -o ftpshut 
ftpshut.ct

Making ckconfig.
        cc -cckr -O -DDEBUG -I.. -I../support -L../support -o ckconfig 
ckconfigc

Links to executables are in bin directory:
size: Error in reading object bin/ftpd

---

From: Michael Brennen <[email-masked]>
Date: Wed, 13 Sep 1995 15:01:25 -0500 (CDT)

> 	Can anyone offer any suggestions??  S/KEY worked well and had no 

The general SKEY procedure is something like this:

The last thing in config.h is an #undef SKEY; comment that out.  That is
a gotcha that can take some time to find, although that doesn't seem to 
be the problem.

Copy skey.h into the src directory.

Copy libskey.a into the support directory.

Edit the appropriate Makefile.* in src/makefiles and add the following:
   add "-DSKEY" to the CFLAGS macro;
   add "-lskey" to the LIBES macro.

That should do it; if not, holler back.

Michael Brennen